<div class="theme-offer">
   <?php
        // Check if the demo import has been completed
        $classic_dentist_clinic_demo_import_completed = get_option('classic_dentist_clinic_demo_import_completed', false);

        // If the demo import is completed, display the "View Site" button
        if ($classic_dentist_clinic_demo_import_completed) {
            echo '<br>';
            echo '<div class="success">Demo Import Successful</div>';
            echo '<br>';
            echo '<hr>';
            echo '<br>';
            echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'classic-dentist-clinic' ) . '</span>';
            echo '<br>';
            echo '<br>';
            echo '<br>';
            echo '<div class="view-site-btn">';
            echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
            echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
            echo '</div>';
        }
    if ( isset( $_POST['submit'] ) ) {

        echo '<div class="plugin-notice">';
            // Check if Classic Blog Grid plugin is installed
            if (!is_plugin_active('classic-blog-grid/classic-blog-grid.php')) {
                // Plugin slug and file path for Classic Blog Grid
                $classic_dentist_clinic_plugin_slug = 'classic-blog-grid';
                $classic_dentist_clinic_plugin_file = 'classic-blog-grid/classic-blog-grid.php';
            
                // Check if Classic Blog Grid is installed and activated
                if ( ! is_plugin_active( $classic_dentist_clinic_plugin_file ) ) {
            
                    // Check if Classic Blog Grid is installed
                    $classic_dentist_clinic_installed_plugins = get_plugins();
                    if ( ! isset( $classic_dentist_clinic_installed_plugins[ $classic_dentist_clinic_plugin_file ] ) ) {
            
                        // Include necessary files to install plugins
                        include_once( ABSPATH . 'wp-admin/includes/plugin-install.php' );
                        include_once( ABSPATH . 'wp-admin/includes/file.php' );
                        include_once( ABSPATH . 'wp-admin/includes/misc.php' );
                        include_once( ABSPATH . 'wp-admin/includes/class-wp-upgrader.php' );
            
                        // Download and install Classic Blog Grid
                        $classic_dentist_clinic_upgrader = new Plugin_Upgrader();
                        $classic_dentist_clinic_upgrader->install( 'https://downloads.wordpress.org/plugin/classic-blog-grid.latest-stable.zip' );
                    }
            
                    // Activate the Classic Blog Grid plugin after installation (if needed)
                    activate_plugin( $classic_dentist_clinic_plugin_file );
                }
            }
        echo '</div>';

        // ------- Create Main Menu --------
        $classic_dentist_clinic_menuname = 'Primary Menu';
        $classic_dentist_clinic_bpmenulocation = 'primary';
        $classic_dentist_clinic_menu_exists = wp_get_nav_menu_object( $classic_dentist_clinic_menuname );
    
        if ( !$classic_dentist_clinic_menu_exists ) {
            $classic_dentist_clinic_menu_id = wp_create_nav_menu( $classic_dentist_clinic_menuname );

            // Create Home Page
            $classic_dentist_clinic_home_title = 'Home';
            $classic_dentist_clinic_home = array(
                'post_type'    => 'page',
                'post_title'   => $classic_dentist_clinic_home_title,
                'post_content' => '',
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'home'
            );
            $classic_dentist_clinic_home_id = wp_insert_post($classic_dentist_clinic_home);
            // Assign Home Page Template
            add_post_meta($classic_dentist_clinic_home_id, '_wp_page_template', 'templates/template-home-page.php');
            // Update options to set Home Page as the front page
            update_option('page_on_front', $classic_dentist_clinic_home_id);
            update_option('show_on_front', 'page');
            // Add Home Page to Menu
            wp_update_nav_menu_item($classic_dentist_clinic_menu_id, 0, array(
                'menu-item-title' => __('Home', 'classic-dentist-clinic'),
                'menu-item-classes' => 'home',
                'menu-item-url' => home_url('/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $classic_dentist_clinic_home_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create a new Page 
            $classic_dentist_clinic_pages_title = 'Pages';
            $classic_dentist_clinic_pages_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $classic_dentist_clinic_pages = array(
                'post_type'    => 'page',
                'post_title'   => $classic_dentist_clinic_pages_title,
                'post_content' => $classic_dentist_clinic_pages_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'pages'
            );
            $classic_dentist_clinic_pages_id = wp_insert_post($classic_dentist_clinic_pages);
            // Add Pages Page to Menu
            wp_update_nav_menu_item($classic_dentist_clinic_menu_id, 0, array(
                'menu-item-title' => __('Pages', 'classic-dentist-clinic'),
                'menu-item-classes' => 'pages',
                'menu-item-url' => home_url('/pages/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $classic_dentist_clinic_pages_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create About Us Page with Dummy Content
            $classic_dentist_clinic_about_title = 'About Us';
            $classic_dentist_clinic_about_content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.';
            $classic_dentist_clinic_about = array(
                'post_type'    => 'page',
                'post_title'   => $classic_dentist_clinic_about_title,
                'post_content' => $classic_dentist_clinic_about_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'about-us'
            );
            $classic_dentist_clinic_about_id = wp_insert_post($classic_dentist_clinic_about);
            // Add About Us Page to Menu
            wp_update_nav_menu_item($classic_dentist_clinic_menu_id, 0, array(
                'menu-item-title' => __('About Us', 'classic-dentist-clinic'),
                'menu-item-classes' => 'about-us',
                'menu-item-url' => home_url('/about-us/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $classic_dentist_clinic_about_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Assign the menu to the primary location if not already set
            if ( ! has_nav_menu( $classic_dentist_clinic_bpmenulocation ) ) {
                $classic_dentist_clinic_locations = get_theme_mod( 'nav_menu_locations' );
                if ( empty( $classic_dentist_clinic_locations ) ) {
                    $classic_dentist_clinic_locations = array();
                }
                $classic_dentist_clinic_locations[ $classic_dentist_clinic_bpmenulocation ] = $classic_dentist_clinic_menu_id;
                set_theme_mod( 'nav_menu_locations', $classic_dentist_clinic_locations );
            }
        }

        //Logo
        set_theme_mod( 'classic_dentist_clinic_the_custom_logo', esc_url( get_template_directory_uri().'/images/Logo.png'));
       
        //Topbar Section
        set_theme_mod( 'classic_dentist_clinic_phone_icon','fas fa-phone');
        set_theme_mod( 'classic_dentist_clinic_phone_title','Need Help ?');
        set_theme_mod( 'classic_dentist_clinic_phone_number','+12 3456789');

        //Slider Section
        set_theme_mod( 'classic_dentist_clinic_slider', true);

        set_theme_mod( 'classic_dentist_clinic_button_text','MAKE AN APPOINTMENT');
        // Create the 'Dentist' category and retrieve its ID
        $classic_dentist_clinic_slider_category_id = wp_create_category('Dentist');

        // Set the slider category in theme mods
        set_theme_mod('classic_dentist_clinic_slider_cat', 'Dentist');

        $classic_dentist_clinic_titles = array(
            'EXCEPTIONAL DENTAL CARE FOR EVERY STAGE OF YOUR JOURNEY',
            'COMPASSIONATE DENTAL CARE DESIGNED FOR EVERY STAGE OF LIFE',
        );        
        // Create three posts and assign them to the 'Dentist' category
        // Define the image URLs
        for ($classic_dentist_clinic_i = 1; $classic_dentist_clinic_i <= 2; $classic_dentist_clinic_i++) {
            $classic_dentist_clinic_title = $classic_dentist_clinic_titles[$classic_dentist_clinic_i - 1];           
            $classic_dentist_clinic_content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.';
            
            // Create the post object
            $classic_dentist_clinic_my_post = array(
                'post_title'    => wp_strip_all_tags($classic_dentist_clinic_title),
                'post_content'  => $classic_dentist_clinic_content,
                'post_status'   => 'publish',
                'post_type'     => 'post',
                'post_category' => array($classic_dentist_clinic_slider_category_id),  // Use the category ID
            );

            // Insert the post into the database
            $classic_dentist_clinic_post_id = wp_insert_post( $classic_dentist_clinic_my_post );

            if ($classic_dentist_clinic_post_id) {
                // Set the theme mod for the slider page
                set_theme_mod('classic_dentist_clinic_slider_cat' . $classic_dentist_clinic_i, $classic_dentist_clinic_post_id);

                $classic_dentist_clinic_image_url = get_template_directory_uri().'/images/slider'.$classic_dentist_clinic_i.'.png';

                $classic_dentist_clinic_image_id = media_sideload_image($classic_dentist_clinic_image_url, $classic_dentist_clinic_post_id, null, 'id');

                    if (!is_wp_error($classic_dentist_clinic_image_id)) {
                        // Set the downloaded image as the post's featured image
                        set_post_thumbnail($classic_dentist_clinic_post_id, $classic_dentist_clinic_image_id);
                    }
            }
        }

        //Services Section
        set_theme_mod( 'classic_dentist_clinic_disabled_services_section', true);
        set_theme_mod( 'classic_dentist_clinic_services_img', esc_url( get_template_directory_uri().'/images/Rectangle.png'));
        set_theme_mod('classic_dentist_clinic_services_title', 'Our Services');
        $classic_dentist_clinic_services = array(
            array(
                'icon' => 'fa-solid fa-tooth',
                'title' => 'General Dentistry',
                'text' => 'There are many variation passages Lorem Ipsum availbles.',
                'url' => '#'
            ),
            array(
                'icon' => 'fa-solid fa-teeth',
                'title' => 'Cosmetic Dentistry',
                'text' => 'There are many variation passages Lorem Ipsum availbles.',
                'url' => '#'
            ),
            array(
                'icon' => 'fa-solid fa-teeth-open',
                'title' => 'Restorative Dentistry',
                'text' => 'There are many variation passages Lorem Ipsum availbles.',
                'url' => '#'
            ),
            array(
                'icon' => 'fa-solid fa-face-grimace',
                'title' => 'Emergency Dental Care',
                'text' => 'There are many variation passages Lorem Ipsum availbles.',
                'url' => '#'
            )
        );
    
        foreach ($classic_dentist_clinic_services as $classic_dentist_clinic_index => $classic_dentist_clinic_service) {
            $classic_dentist_clinic_i = $classic_dentist_clinic_index + 1;
            set_theme_mod('classic_dentist_clinic_service_icon' . $classic_dentist_clinic_i, $classic_dentist_clinic_service['icon']);
            set_theme_mod('classic_dentist_clinic_services_name' . $classic_dentist_clinic_i, $classic_dentist_clinic_service['title']);
            set_theme_mod('classic_dentist_clinic_services_text' . $classic_dentist_clinic_i, $classic_dentist_clinic_service['text']);
            set_theme_mod('classic_dentist_clinic_services_name_url' . $classic_dentist_clinic_i, $classic_dentist_clinic_service['url']);
        }

        // Show success message and the "View Site" button
        update_option('classic_dentist_clinic_demo_import_completed', true);
        echo '<br>';
        echo '<div class="success">Demo Import Successful</div>';
        echo '<br>';
        echo '<hr>';
        echo '<br>';
        echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'classic-dentist-clinic' ) . '</span>';
        echo '<br>';
    }
     ?>
    <ul>
        <li>
        <?php 
        // Check if the form is submitted
        if ( !isset( $_POST['submit'] ) ) : ?>
            <!-- Show demo importer form only if it's not submitted -->
            <?php if (!get_option('classic_dentist_clinic_demo_import_completed')) : ?>
                <span><?php echo esc_html( 'Click on the below content to get demo content installed.', 'classic-dentist-clinic' ); ?></span>
                <br><br>
                <hr><br>
                <b class="note"><?php echo esc_html('Note :', 'classic-dentist-clinic' ); ?></b><br><br>
                <small><b><?php echo esc_html('Please take a backup if your website is already live with data. This importer will overwrite existing data.', 'classic-dentist-clinic' ); ?></b></small><br><br>
                <form id="demo-importer-form" action="" method="POST" onsubmit="return runDemoImport();">
                    <input type="submit" name="submit" value="<?php echo esc_attr('Run Importer','classic-dentist-clinic'); ?>" class="button button-primary button-large">
                </form>
                <script type="text/javascript">
                    function runDemoImport() {
                        if (confirm('Do you really want to do this?')) {
                            document.getElementById('demo-import-loader').style.display = 'block';
                            return true;
                        }
                        return false;
                    }
                </script>
             <?php endif; ?>
         <?php 
        endif; 

        // Show "View Site" button after form submission
        if ( isset( $_POST['submit'] ) ) {
        echo '<div class="view-site-btn">';
        echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
        echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
        echo '</div>';
        }
        ?>
        </li>
    </ul>
 </div>